<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button class="btn btn-primary ml-1" (click)="buscarInfo()" [disabled]="loading || ngForm.invalid">
    <i class="fa fa-search mr-2"></i>Buscar
  </button>
  <button (click)="exportExcel()" class="btn btn-success ml-1" [disabled]="loading || !dataGrid.length">
    <i class="fa fa-file-excel mr-2"></i>Excel
  </button>
  <button (click)="exportPdf()" class="btn btn-danger ml-1" [disabled]="loading || !dataGrid.length">
    <i class="fa fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="card">
  <div class="card-body">

    <form [formGroup]="ngForm">

      <div class="row">
        <div class="col-sm-6 col-md-3 col-lg-3 col-xl-3 form-group">
          <label>Agencia</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="cChr2">
            <div class="input-group-append">
              <button class="btn btn-primary" (click)="openModal(modal, 'agencia')">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>
        <div class="form-group col-12 col-sm-3 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Desde</label>
          <kendo-datepicker formControlName="fFec1" (valueChange)="fechaDesdeChange()" [max]="maxDateDesde"
            class="w-100" [format]="formatKendo">
          </kendo-datepicker>
        </div>
        <div class="form-group col-12 col-sm-3 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Hasta</label>
          <kendo-datepicker formControlName="fFec2" [min]="minDateHasta" [max]="maxDateHasta" class="w-100"
            [format]="formatKendo" (valueChange)="fechaHastaChange()">
          </kendo-datepicker>
        </div>
        <div class="col-xl-2 col-lg-2 col-md-2 col-sm-6">
          <label class="k-form-field ml-sm-2 mt-2">
            <label></label>
            <input type="checkbox" id="lLog1" class="k-checkbox mt-2" formControlName="lLog1">
            <label class="k-checkbox-label mt-4" for="lLog1">Imprime esta empresa</label>
          </label>
        </div>
      </div>
    </form>

    <kendo-grid [kendoGridBinding]="dataGrid" [selectable]="true" [filter]="filter" filterable="menu"
      [navigable]="true" [reorderable]="true" [resizable]="true" [sortable]="true" [pageSize]="pageSize" [skip]="skip"
      [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 60vh;" *ngIf="!loading">
      <div *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="Agencia" title="Agencia" width="120">
        </kendo-grid-column>
        <kendo-grid-column field="Secuencia" title="Sec." width="130">
        </kendo-grid-column>
        <kendo-grid-column field="TipoCuarto" title="Tipo Cto." width="130">
        </kendo-grid-column>
        <kendo-grid-column field="Fecha" title="Fecha" width="130">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.Fecha | date: formatKendo }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="Hora" title="Hora" width="130">
          <ng-template kendoGridCellTemplate let-dataItem>
            {{ dataItem.Hora | hour }}
          </ng-template>
        </kendo-grid-column>
        <kendo-grid-column field="Mov" title="Tipo" width="130">
        </kendo-grid-column>
        <kendo-grid-column field="FechaInicio" title="Fecha Inicio" width="130">
        </kendo-grid-column>
        <kendo-grid-column field="FechaTermino" title="Fecha Terminación" width="130">
        </kendo-grid-column>
        <kendo-grid-column field="NoCuartos" title="# Ctos." width="130">
        </kendo-grid-column>
        <kendo-grid-column field="CutOff" title="Cut-Off" width="130">
        </kendo-grid-column>
        <kendo-grid-column field="Ope" title="Operador" width="130">
        </kendo-grid-column>
      </div>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>
  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>

<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h6 class="modal-title">Consultar Agencias</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <app-help-agencia (agencia)="resultAgencia($event); c();"></app-help-agencia>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>